ONVIF::Device::Elements::GetCertificatesStatusResponse(3)

NAME
ONVIF::Device::Elements::GetCertificatesStatusResponse

DESCRIPTION
Perl data type class for the XML Schema defined element GetCertificatesStatusResponse from the namespace http://www.onvif.org/ver10/device/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   CertificateStatus

     $element->set_CertificateStatus($data);
     $element->get_CertificateStatus();

METHODS

  new
 my $element = ONVIF::Device::Elements::GetCertificatesStatusResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   CertificateStatus =>  { # ONVIF::Device::Types::CertificateStatus
     CertificateID =>  $some_value, # token
     Status =>  $some_value, # boolean
   },
 },

AUTHOR
Generated by SOAP::WSDL